%define	_sysconfdir	%(%{_sbindir}/apxs -q SYSCONFDIR)
%define	_libexecdir	%(%{_sbindir}/apxs -q LIBEXECDIR)

Summary: A module to turn your Apache web server into an MP3 or Ogg streaming server.
Name: mod_mp3
Version: 0.35
Release: fr1
License: GPL
Group: System Environment/Daemons
Source0: http://software.tangent.org/download/mod_mp3-%{version}.tar.gz
Source1: mp3.conf
URL: http://media.tangent.org/
BuildRoot: %{_tmppath}/%{name}-root
Requires: apache
BuildRequires: apache-devel

%description
mod_mp3 turns the Apache Web server into an MP3 or Ogg streaming server. 
It can play from a list of files, either in order or randomly. 
It can also be used to cache MP3s into memory and have the server operate 
entirely from memory. It has an XML-RSS/URL interface for you to write 
interfaces around and supports retrieving information via XML/RSS. 
Read the faq for more information. 

%prep
%setup -q

%build
%configure
make

%install
rm -rf %{buildroot}
install -D -m 644 %{SOURCE1} %{buildroot}%{_sysconfdir}/mp3.conf
install -D -m 755 src/mod_mp3.so %{buildroot}%{_libexecdir}/mod_mp3.so

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc CONTRIBUTORS ChangeLog LICENSE MANIFEST README TODO faq.html support
%{_sysconfdir}/mp3.conf
%{_libexecdir}/mod_mp3.so

%changelog
* Thu Apr 18 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Initial RPM release.

